## org.apache.lucene.search
Class DuplicateFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.DuplicateFilter

All Implemented Interfaces:
  Serializable

    public class DuplicateFilter

extends org.apache.lucene.search.Filter

See Also:
  Serialized Form

Field Summary
`static int` `KM_USE_FIRST_OCCURRENCE`
`static int` `KM_USE_LAST_OCCURRENCE`
`static int` `PM_FAST_INVALIDATION`
`static int` `PM_FULL_VALIDATION`

Constructor Summary
`DuplicateFilter(String fieldName)`
`DuplicateFilter(String fieldName, int keepMode, int processingMode)`

Method Summary
`boolean` `equals(Object obj)`
`org.apache.lucene.search.DocIdSet` `getDocIdSet(org.apache.lucene.index.IndexReader reader)`
`String` `getFieldName()`
`int` `getKeepMode()`
`int` `getProcessingMode()`
`int` `hashCode()`
`void` `setFieldName(String fieldName)`
`void` `setKeepMode(int keepMode)`
`void` `setProcessingMode(int processingMode)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KM_USE_FIRST_OCCURRENCE

    public static final int KM_USE_FIRST_OCCURRENCE

See Also:
  Constant Field Values

### KM_USE_LAST_OCCURRENCE

    public static final int KM_USE_LAST_OCCURRENCE

See Also:
  Constant Field Values

### PM_FULL_VALIDATION

    public static final int PM_FULL_VALIDATION

See Also:
  Constant Field Values

### PM_FAST_INVALIDATION

    public static final int PM_FAST_INVALIDATION

See Also:
  Constant Field Values

Constructor Detail

### DuplicateFilter

    public DuplicateFilter(String fieldName)

### DuplicateFilter

    public DuplicateFilter(String fieldName,
                           int keepMode,
                           int processingMode)

Method Detail

### getDocIdSet

    public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                  throws IOException

  Specified by:
    `getDocIdSet` in class `org.apache.lucene.search.Filter`
  Throws:
    `IOException`

### getFieldName

    public String getFieldName()

### setFieldName

    public void setFieldName(String fieldName)

### getKeepMode

    public int getKeepMode()

### setKeepMode

    public void setKeepMode(int keepMode)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getProcessingMode

    public int getProcessingMode()

### setProcessingMode

    public void setProcessingMode(int processingMode)